<form [formGroup]="form" (ngSubmit)="onSubmit(form.value)" enctype="multipart/form-data">

  <div class="outer-container">
    <div class="input-container">
      <div class="form-input-container" >
        <mat-form-field class="input-block">
          <input matInput [(ngModel)]="selectedUser.userName" placeholder="Username" name="userName" id="userName" formControlName="userName">
          <button mat-button *ngIf="selectedUser.userName" matSuffix mat-icon-button aria-label="Clear" (click)="selectedUser.userName=''">
            <mat-icon>close</mat-icon>
          </button>
        </mat-form-field>
        <div class="input-message-container">
            <p *ngIf="form.controls.userName.errors?.required&&(form.controls.userName.touched||submitted)" class="error-message">Username tidak boleh kosong</p>
        </div>
      </div>

      <div class="form-input-container" >
        <mat-form-field class="input-block">
          <input matInput [value]="convertPassword()" placeholder="Password" name="userPassword" id="userPassword" formControlName="userPassword" >
          <mat-icon matTooltip="Password pertama kali akan sama dengan username" *ngIf='!isEdit' matSuffix>info</mat-icon>
          <a (click)="openResetPasswordDialog()" *ngIf='isEdit' id="changeBtn" matSuffix mat-raised-button>Reset</a>
        </mat-form-field>
      </div>

      <div class="form-input-container" >
        <mat-form-field class="input-block">
          <input matInput [(ngModel)]="selectedUser.userShownName" placeholder="Nama User" name="userShownName" id="userShownName" formControlName="userShownName">
          <button mat-button *ngIf="selectedUser.userShownName" matSuffix mat-icon-button aria-label="Clear" (click)="selectedUser.userShownName=''">
            <mat-icon>close</mat-icon>
          </button>
        </mat-form-field>
        <div class="input-message-container">
            <p *ngIf="form.controls.userShownName.errors?.required&&(form.controls.userShownName.touched||submitted)" class="error-message">Nama User tidak boleh kosong</p>
        </div>
      </div>

      <div class="form-input-container" >
        <mat-form-field class="input-block">
          <mat-select placeholder="User Privileges" [formControl]="userPrivileges" multiple>
            <mat-option *ngFor="let privilege of listPrivilege" [value]="privilege.privilegeId">{{privilege.privilegeName}}</mat-option>
          </mat-select>
        </mat-form-field>
        <div class="input-message-container">

        </div>
      </div>
    </div>
  </div>

  <div class="input-container submit-button-container">
    <a (click)="sendCancel()" color="light" mat-raised-button>Cancel</a>
    <button type="submit" color="accent" mat-raised-button>Save</button>
  </div>
</form>
